<ion-header>
  <ion-toolbar color="primary">
    <ion-buttons *ngIf="!hideBackButton" slot="start">
      <ion-back-button *ngIf="!hideBackButton" defaultHref="/"></ion-back-button>
    </ion-buttons>
    <ion-title>
      <a href="/">
        <img alt="logo" id="header_logo" src="assets/icon/dwarpal.logo.toolbar.png">
      </a>
    </ion-title>
    <ion-buttons slot="end">
      <ion-button (click)="presentPopover($event)">
        <ion-avatar>
          <img src="{{user?.profilePicture?.content}}">
        </ion-avatar>
      </ion-button>
    </ion-buttons>
  </ion-toolbar>
  <div class="displayTime">
    {{displayTime}}
  </div>
  <div *ngIf=!networkService.isOnline class="network">
    <ion-label>
      <ion-icon name="alert"></ion-icon>
      Offline
    </ion-label>
  </div>
</ion-header>